1.0
1.0
get /v1/aimlops-platform/internal/clusters/{cluster_id}/nodes
Description
Get List of AI&MLOps Platform Nodes.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : 10a599e031e749b7b260868f441e862b | string | None |
| query | size optional | Size Example : 20 | any of [integer, null] | 20 |
| query | page optional | Page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | Sort Example : created_dt:asc | string | created_dt:desc |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ListNodeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/aimlops-platform/internal/clusters/{cluster_id}/nodes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = aimlops-platform 1.0"
Example HTTP response
Response 200
{
"count": 0,
"links": [],
"nodes": []
}